Ga naar inhoud
  • 0

[SuSE 8.1 / KDE 3.1.4] QT opnieuw gecompiled maar werkt nie


anoniem

Vraag

qt-3.2.2 geconfigureerd met de volgende opties: [quote:827d905970]./configure -system-zlib \ -qt-gif \ -system-libpng \ -system-libjpeg \ -plugin-imgfmt-mng \ -thread \ -no-nis \ -no-stl \ -no-xinerama \ -no-g++-exceptions \ -xrender \ -xft \[/quote:827d905970] Eerst had ik xrender en xft niet gedaan. Om letters en iconen te anti-aliasen (eindelijk gelukt :) ) heb ik -xrender en -xft toegevoegd. Het volgende probleem doet zich voor. Eerst had ik de map /usr/local/qt met daarin QT. Vervolgens heb ik die map een andere naam gegeven, QT opnieuw uitgepakt als /usr/local/qt en de hele zooi daarin gecompileerd. In principe geef ik de map dus dezelfde naam als eerst. Het gekke is nu dat als ik een KDE-programma of onderdeel (bijv. KDE-libs) wil compileren, dat niet lukt, omdat de ./configure 'lib qt-mt' niet kan vinden. Toch staat die in de map /usr/local/qt/lib. Rara hoe kan dat? /usr/local/qt/lib is ook toegevoegd aan /etc/ld.so.conf. Ik snap het allemaal even niet, maar misschien iemand anders wel. Zou het namelijk prettig vinden als dit probleempje opgelost werd, zodat ik de omgeving waarin ik werk een beetje kan verbeteren. M vr. gr. Joost
Link naar reactie

8 antwoorden op deze vraag

Aanbevolen berichten

  • 0
als je iets compileert, kijk dan even in het bestand configure.log wat het exacte struikelprobleem is. Ik neem aan dat als je [code:1:beb3cb1868] echo $QTDIR echo $PATH [/code:1:beb3cb1868] op de shell uitvoert je de juiste directory's te zien krijgt? en de lib had je toegevoegd aan ld.so.conf he? wel daarna nog even [code:1:beb3cb1868] ldconfig [/code:1:beb3cb1868] opnieuw intikken
Link naar reactie
  • 0
/ect/ld.so.conf heeft /usr/local/qt/lib in zich, wat blijkt uit de output van ldconfig. Ik heb hier de output van ldconfig van de 'oude' qt (die wel werkt, zonder -xft en -xrender): [quote:42cdb05962]/usr/local/qt/lib: libqui.so.1 -> libqui.so.1.0.0 libqt-mt.so.3 -> libqt-mt.so.3.2.2[/quote:42cdb05962] Ik heb hier de output van ldconfig van de 'nieuwe' qt (die niet werkt, met -xft en -xrender [quote:42cdb05962]/usr/local/qt/lib: libqui.so.1 -> libqui.so.1.0.0 libqt-mt.so.3 -> libqt-mt.so.3.2.2[/quote:42cdb05962] Oftewel: geen verschillen. echo $QTPATH geeft: /usr/local/qt echo &PATH heb ik niet geprobeerd. Over dat config.log... dat heb ik bekeken, maar ik snap er geen hout van.
Link naar reactie
  • 0
Ik ben bezig de zooi opnieuw in elkaar aan het zetten... dat gezeur van libqt-mt was ik een beetje beu... niet dat het nu wel lukt, maar we proberen gewoon, trouwens, ik denk dat het aan OpenGL lag ofzo, want die heb ik nu niet geinstalleerd en het geeft geen problemen. bedankt voor de hulp, volgende keer probeer ik het wat eleganter op te lossen.
Link naar reactie

Doe mee aan dit gesprek

Je kunt dit nu plaatsen en later registreren. Indien je reeds een account hebt, log dan nu in om het bericht te plaatsen met je account.

Gast
Antwoord op deze vraag...

×   Geplakt als verrijkte tekst.   Plak in plaats daarvan als platte tekst

  Er zijn maximaal 75 emoji toegestaan.

×   Je link werd automatisch ingevoegd.   Tonen als normale link

×   Je vorige inhoud werd hersteld.   Leeg de tekstverwerker

×   Je kunt afbeeldingen niet direct plakken. Upload of voeg afbeeldingen vanaf een URL in

×
×
  • Nieuwe aanmaken...